[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 9 Update: rubygem-rails-2.1.1-2.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-8322
2008-09-27 03:05:43
--------------------------------------------------------------------------------

Name        : rubygem-rails
Product     : Fedora 9
Version     : 2.1.1
Release     : 2.fc9
URL         : http://www.rubyonrails.org
Summary     : Web-application framework
Description :
Rails is a framework for building web-application using CGI, FCGI, mod_ruby,
or WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2, SQL Server, or
Oracle with eRuby- or Builder-based templates.

--------------------------------------------------------------------------------
Update Information:

Fixes CVE-2008-4094 (SQL injection in limit and offset clauses)
--------------------------------------------------------------------------------
ChangeLog:

* Tue Sep 16 2008 David Lutterkort <dlutter redhat com> - 2.1.1-2
- require rubygems >= 1.1.1; the rails code checks that at runtime
* Tue Sep 16 2008 David Lutterkort <dlutter redhat com> - 2.1.1-1
- New version (fixes CVE-2008-4094)
* Thu Jul 31 2008 Michael Stahnke <stahnma fedoraproject org> - 2.1.0-1
- New Upstream
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #462302 - CVE-2008-4094 Security: rubygem-rails 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462302
  [ 2 ] Bug #462303 - CVE-2008-4094 Security: rubygem-actionmailer 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462303
  [ 3 ] Bug #462304 - CVE-2008-4094 Security: rubygem-actionpack 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462304
  [ 4 ] Bug #462306 - CVE-2008-4094 Security: rubygem-activerecord 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462306
  [ 5 ] Bug #462307 - CVE-2008-4094 Security: rubygem-activeresource 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462307
  [ 6 ] Bug #462308 - CVE-2008-4094 Security: rubygem-activesupport 2.1.1 is available, please update
        https://bugzilla.redhat.com/show_bug.cgi?id=462308
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update rubygem-rails' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]